Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delegate Group Tags Resource

Contains APIs related to Delegate Group Tags management

Retrieves list of tags attached with Delegate group

get
Path parameters
groupIdentifierstring · min: 1Required

Delegate Group Identifier

Query parameters
accountIdentifierstring · min: 1Required

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

Successfully retrieved delegate group details with tags

accountIdentifierstringOptional
orgIdentifierstringOptional
projectIdentifierstringOptional
namestringOptional
identifierstringOptional
tagsstring[]Optional
get/delegate-group-tags/{groupIdentifier}
GET /gateway/ng/api/delegate-group-tags/{groupIdentifier}?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "name": "text",
  "identifier": "text",
  "tags": [
    "text"
  ]
}

Add given list of tags to the Delegate group

post
Path parameters
groupIdentifierstring · min: 1Required

Delegate Group Identifier

Query parameters
accountIdentifierstring · min: 1Required

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
tagsstring[]Optional
Responses
200

Successfully added tags to delegate group

accountIdentifierstringOptional
orgIdentifierstringOptional
projectIdentifierstringOptional
namestringOptional
identifierstringOptional
tagsstring[]Optional
post/delegate-group-tags/{groupIdentifier}
POST /gateway/ng/api/delegate-group-tags/{groupIdentifier}?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "tags": [
    "text"
  ]
}
{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "name": "text",
  "identifier": "text",
  "tags": [
    "text"
  ]
}

Clears all existing tags with delegate group and attach given set of tags to delegate group.

put
Path parameters
groupIdentifierstring · min: 1Required

Delegate Group Identifier

Query parameters
accountIdentifierstring · min: 1Required

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
tagsstring[]Optional
Responses
200

Successfully updated delegate group tags

accountIdentifierstringOptional
orgIdentifierstringOptional
projectIdentifierstringOptional
namestringOptional
identifierstringOptional
tagsstring[]Optional
put/delegate-group-tags/{groupIdentifier}
PUT /gateway/ng/api/delegate-group-tags/{groupIdentifier}?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "tags": [
    "text"
  ]
}
{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "name": "text",
  "identifier": "text",
  "tags": [
    "text"
  ]
}

Deletes all tags from the Delegate group

delete
Path parameters
groupIdentifierstring · min: 1Required

Delegate Group Identifier

Query parameters
accountIdentifierstring · min: 1Required

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Responses
200

Successfully deleted all tags from delegate group

accountIdentifierstringOptional
orgIdentifierstringOptional
projectIdentifierstringOptional
namestringOptional
identifierstringOptional
tagsstring[]Optional
delete/delegate-group-tags/{groupIdentifier}
DELETE /gateway/ng/api/delegate-group-tags/{groupIdentifier}?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "name": "text",
  "identifier": "text",
  "tags": [
    "text"
  ]
}

List delegate groups that are having mentioned tags.

post
Query parameters
accountIdentifierstring · min: 1Required

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

Body
tagsstring[]Optional
Responses
200

Successfully retrieved list of delegate groups with specified tags

accountIdentifierstringOptional
orgIdentifierstringOptional
projectIdentifierstringOptional
namestringOptional
identifierstringOptional
tagsstring[]Optional
post/delegate-group-tags/delegate-groups
POST /gateway/ng/api/delegate-group-tags/delegate-groups?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "tags": [
    "text"
  ]
}
{
  "accountIdentifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "name": "text",
  "identifier": "text",
  "tags": [
    "text"
  ]
}

Last updated

Was this helpful?